#pragma once
#include <map>
struct Fish_SeniorGraphicalCFGData
{
	//编号
	int mID;
	//图形资源
	std::string mGraphicalId;
	//道具倍率
	int mGraphicalMultiple;
};

class Fish_SeniorGraphicalCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorGraphicalCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorGraphicalCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorGraphicalCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorGraphicalCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorGraphicalCFGData> mMapData;
};
